Subject: [smime] FW: New Version Notification for draft-schaad-smime-aed-rant-00

From: "Jim Schaad" <[email-masked]>
Date: Tue, 23 Nov 2010 19:16:26 -0800

Paul beat me to this, as I was planning to add some additional text.

This draft will be of some interest to the people on the list, however I should probably give some additional details.

I am planning to submit this draft to the Independent submissions editor as an independent submission.  As such I expect the draft to reflect my personal opinions rather than that of either the IETF as a whole or the working group specifically.  That being said would really like to get input from others to help both sharpen my text and deal with any additional arguments that I missed.  I have started a new review of the mailing list from the time and notice that I should add the fact that having the authenticated attributes in two locations was suggested but generally opposed.  Other such issues would be welcome either from that time or even currently.

Additionally you will notice that I have left open a section for rebuttals,  before publishing I will put out a call to the group (and individually to Russ) for the opportunity to get text included in the draft in this section if desired.  If you want to give me text or suggestions before that point I am more than happy to get them now rather than later.

I hope to get a review of the document and get it off to the ISE by Prague.

Jim

-----Original Message-----
From: IETF I-D Submission Tool [mailto:[email-masked]] 
Sent: Monday, November 22, 2010 11:01 PM
To: [email-masked]
Subject: New Version Notification for draft-schaad-smime-aed-rant-00 

A new version of I-D, draft-schaad-smime-aed-rant-00.txt has been successfully submitted by Jim Schaad and posted to the IETF repository.

Filename:	 draft-schaad-smime-aed-rant
Revision:	 00
Title:		 Commentary on the Design of the Authenticated Encrypted Data Content Type
Creation_date:	 2010-11-22
WG ID:		 Independent Submission
Number_of_pages: 24

Abstract:
The Authenticated Encrypted Data Content Type allows for the use of
Authenticated Encryption modes with block cipher algorithms.  At the
time of the original design there was discussion about the relative
location of the authenticated attributes and the encrypted content in
the ASN.1 structure.  With the benefits of implementation experience
I revisit the discussion made at the time and re-evaluate the
decision made.

The IETF Secretariat.